diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index c660020..818be51 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -18130,7 +18130,7 @@ FiniteLinearAggregate(S:Type): Category == LinearAggregate S with
 
     if S has OrderedSet then
 --    sorted? l	  == sorted?(_<$S, l)
-      sorted? l	  == sorted?(#1 < #2 or #1 = #2, l)
+      sorted? l	  == sorted?((x,y) +-> x < y or x = y, l)
       merge(x, y) == merge(_<$S, x, y)
       sort l	  == sort(_<$S, l)
 
diff --git a/changelog b/changelog
index 691e6f8..0852d0b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090510 tpd src/axiom-website/patches.html 20090510.09.tpd.patch
+20090510 tpd books/bookvol10.2 FLAGG +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.08.tpd.patch
 20090510 tpd books/bookvol10.4 INTPACK +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.07.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8b0c2d5..f9287ab 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1176,5 +1176,7 @@ bookvol10.2 ELAGG +-> conversion<br/>
 bookvol10.3 D01AMFA +-> conversion<br/>
 <a href="patches/20090510.08.tpd.patch">20090510.08.tpd.patch</a>
 bookvol10.4 INTPACK +-> conversion<br/>
+<a href="patches/20090510.09.tpd.patch">20090510.09.tpd.patch</a>
+bookvol10.2 FLAGG +-> conversion<br/>
  </body>
 </html>
